%define debug_package %{nil}

%if "%{?fedora}" == "5"
%define monodir %{_prefix}/lib
%else
%define monodir %{_libdir}
%endif

Summary: The mono documentation system
Name: monodoc
Version: 1.1.18
Release: 2%{?dist}
License: GPL
Group: Documentation
Source0: http://go-mono.com/sources/monodoc/monodoc-%{version}.zip
URL: http://go-mono.com/sources/monodoc/
Patch0: monodoc-patches.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  mono-data, mono-devel, gtk-sharp2-gapi, pkgconfig
%if "%{?fedora}" == "5"
BuildRequires: gtk-sharp2
%else
BuildRequires: gtk-sharp2-devel autoconf automake libtool
%endif
Requires: mono-core links

%description
monodoc is the documentation package for the mono .NET environment

%package devel
Summary: .pc file for monodoc
Group: Documentation
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
Development file for monodoc

%prep
%setup -q 
%if "%{?fedora}" > "5"
%patch0 -p1
autoreconf
%endif

%build
%configure --libdir=%{monodir}
make 

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING AUTHORS ChangeLog NEWS README
%{monodir}/mono/gac/monodoc/
%{monodir}/mono/monodoc/
%{monodir}/%{name}/
%{_bindir}/md*
%{_bindir}/mo*

%files devel
%defattr (-, root, root)
%{monodir}/pkgconfig/monodoc.pc

%changelog
* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.18-2
- fc5 fix for pkgconfig

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.18-1
- bump

* Thu Sep 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-4
- D'oh

* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-3
- Alters some of the fixes from previous version
- includes patches with all version

* Mon Sep 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-2
- Reverts 64 bit clean for FC-5 while still obeying the packaging rules

* Wed Aug 30 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-1
- bump to next version
- added R links
- removed some of the legacy stuff in the spec
- globbed the bins
- made 64 bit happy (monodoc-patches.patch)
- added pkgconfig for the devel package

* Tue Jul 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.16-1
- bump to new version
- changed usr-lib to prefix-lib

* Sun Jul 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-17
- need to specify usr-lib for the mono and gac dir

* Sun Jul 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-16
- lib fixes
- rpmlint fixes

* Tue Jul 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-15
- revert lib64. dang.

* Mon Jul 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-14
- revert back to comply with new packaging docs
- added in libdir change for 64 bit arch
- libdir/mono/monodoc is now owned correctly

* Thu Jun 22 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-13
- Revert libdirs

* Mon Jun 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-12
- removed libdir hack
- removed overzealous line from configure.in

* Sat Jun 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-11
- Added libdir hack back in
- Fixed files problems

* Wed Jun 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-10
- Added BR pkgconfig
- Removed libdir hack, changed to noarch
- Add configure target

* Thu Jun 01 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-9
- fixed usr-bin ownership problem
- disabled debug-package as its empty

* Wed May 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-8
- removed postun - not required
- fixed devel package config

* Mon May 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-7
- alteration to spec file
- farmed pc file to devel package
- removed the shared file scriptlet

* Sun May 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-6
- alterations to the spec file

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-5
- removed the static libdir
- added exclusive archs
- added export macros to fix x86_64 problem

* Tue Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-4
- libdir now usr-lib irrespective of architecture built on
- small spec file changes

* Mon Apr 17 2006 Paul. F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-3
- Big fixes to the spec file

* Mon Mar 6 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-2
- Added in the readme docs
- Added monodoc into bindir

* Thu Feb 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.13-1
- Bump to latest version
- Lots of fixes!

* Tue Jan 24 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.9-2
- Me bad! Used the incorrect libdir!

* Mon Jan 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.9-1
- Initial import, debug and the likes

